QGIS Application - Bug report #19378
QGis 3.2 Unable to browse for missing files in Handle Bad Layers dialogue
2018-07-10 11:10 AM - Kim Frankcombe

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27206
Description

I moved a couple of point files and on opening QGis was prompted with the missing bad layers dialogue. However on selecting them the
Browse button was still greyed out. Both files were delimited text files which | note are referenced quite differently in the .qgs file. Attached
screen grab of dialogue with greyed browse in case this is not clear.

| edited the qgs file and changed the path to a raster file, wanting to test if the issue only related to delimited text files but despite me
putting in the wrong path to the raster file QGis managed to open it happily and display it and know where it was so presumably the qgs
file is not the only place the file info is kept???? ...or does QGis cache its previous opening so that if | open, then close and open again it
just loads from cache?

So I moved the raster file and now QGis can't find it and it is included in the missing files in the bad layers dialogue and if | select it the
browse button works (see screen grab) so the problem appears to be specific to delimited text or maybe any file which is expressed
explicitly in the qgs file. In case that is not clear. Files are normally specified relative to the QGS project file as in...

<layer-tree-layer source="./geochem/gchem_geo_gda94.MIF" id="gchem_geo_gda9420170719100612893"
name="gchem_geo_gda94" expanded="1" providerKey="ogr" checked="Qt::Unchecked">

But delimited text is specified as ...

<layer-tree-layer
source="file:///srv/wrk/navarre/Ararat/gravity/newcrest/EL3019-EL4758_G33801_2004_data_Ara04GDA_clip20june2016.csv?type=csv&
&xField=Long&yField=Lat&crs=EPSG:4283&spatiallndex=no&subsetindex=no&watchFile=no"
id="EL3019_EL4758_G33801_2004_data_Ara04GDA_clip20june2016_6f7ba178_57d9_4645_88ba_56e574b27¢cb0"
name="EL3019-EL4758_G33801_2004_data_Ara04GDA_clip20june2016" expanded="1" providerKey="delimitedtext"
checked="Qt::Checked">

| then went back and edited the qgs file to put in the current path to the two missing delimited text files and it made no difference!!! The
bad layers dialogue showed the two files with the original unedited path???

| had to open without the files and then manually reload them. On saving | notice that the file structure had changed slightly so this may be
an issue in reading 2.18 ggs files with 3.2 when there are missing layers.

History

#1 - 2019-01-24 06:44 PM - Alexander Bruy
- Operating System deleted (Ubuntu 16.04)
- Status changed from Open to Feedback

Please test with 3.4, there were some work to improve bad layers dialog
#2 - 2019-01-24 07:14 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

This was fixed in a 3.2 point release and 3.4.0

#3 - 2019-02-07 12:43 PM - Dan Isaacs

Nyall Dawson wrote:

This was fixed in a 3.2 point release and 3.4.0

Still not working for me in 3.4.4, 'Browse' is greyed out. If | manually type in the new location it works fine.
